## org.hibernate.event.spi
Interface MergeEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultMergeEventListener, EJB3MergeEventListener

    public interface MergeEventListener

extends Serializable

Defines the contract for handling of merge events generated from a session.

Method Summary
`void` `onMerge(MergeEvent event)` Handle the given merge event.
`void` `onMerge(MergeEvent event, Map copiedAlready)` Handle the given merge event.

Method Detail

### onMerge

    void onMerge(MergeEvent event)
                 throws HibernateException

  Handle the given merge event.

  Parameters:
    `event` - The merge event to be handled.
  Throws:
    `HibernateException`

### onMerge

    void onMerge(MergeEvent event,
                 Map copiedAlready)
                 throws HibernateException

  Handle the given merge event.

  Parameters:
    `event` - The merge event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.